petsc-3.7.7 2017-09-25
Report Typos and Errors

# ISCreate

Creates an index set object.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISCreate(MPI_Comm comm,IS *is)

Collective on MPI_Comm

### Input Parameters

comm -the MPI communicator

### Output Parameter

is -the new index set

### Notes

When the communicator is not MPI_COMM_SELF, the operations on IS are NOT conceptually the same as MPI_Group operations. The IS are then distributed sets of indices and thus certain operations on them are collective.

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlock(), ISAllGather()

Level:beginner
Location:src/vec/is/is/interface/isreg.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages